class Management::CarouselsController < ManagementController
  before_action :set_carousel, only: [:edit, :update, :destroy]

  def index
    @carousels = Carousel.all
  end

  def new
    @carousel = Carousel.new
  end

  def create
    @carousel = Carousel.new(carousel_params)

    respond_to do |format|
      if @carousel.save
        format.html { redirect_to management_carousels_path }
      else
        format.html { render :new }
      end
    end
  end

  def edit
  end

  def update
    respond_to do |format|
      if @carousel.update(carousel_params)
        format.html { redirect_to management_carousels_path }
      else
        format.html { render :edit }
      end
    end
  end

  def destroy
    @carousel.image = nil
    @carousel.destroy
    respond_to do |format|
      format.html { redirect_to management_carousels_path }
    end
  end

  private

  def set_carousel
    @carousel = Carousel.find params[:id]
  end

  def carousel_params
    params.require(:carousel).permit(:title, :url, :image)
  end

end
