module Followable
  extend ActiveSupport::Concern

  included do
    has_many :follows, as: :followable
  end

  def follow(user)
    Follow.create(user: user, followable: self)
  end

  def unfollow(user)
    Follow.where(user: user, followable: self).destroy_all
  end

  def following?(user)
    !follows.where(user: user).blank?
  end

end