module Stateful
  extend ActiveSupport::Concern

  included do
    validates_presence_of :state
  end

  def is_published?
    'published' == @state
  end

  def is_draft?
    'draft' == @state
  end

  def publish
    @state = 'published'
  end

end