class Dspace::LearningObjectImporter

  def initialize(items)
    @items = items
  end

  def import
    @items.each do |item|
      next if item_exists? item

      learning_object = LearningObjectBuilder.build_from_dspace item
      create_attachments learning_object, item.bit_streams if learning_object.save

      yield(learning_object) if block_given?
    end
  end

  private

  def create_attachments(learning_object, bitstreams)
    bitstreams = JSON.parse bitstreams if bitstreams.class == String
    bitstreams.each do |bitstream|
      learning_object.attachments.create ::Dspace::AttachmentMapper.call(bitstream)
    end
  end

  def item_exists? item
    LearningObject.exists? id_dspace: item.id
  end

end
