class CreateRelationsWorker

  include Sidekiq::Worker
  include RepositoriesProxy

  def perform(learning_object_id, subjects, attributes)

    learning_object = LearningObject.find(learning_object_id)
    learning_object.subjects = []
    learning_object.attributes = []

    subjects.each do |s|
      subject = subject_repository.find_by_name(s["name"])
      if subject.nil?
        subject = Subject.new(:name => s["name"])
        Subject.create(subject)
      end
      learning_object.subjects << subject
    end

    attributes.each do |a|
      attribute = Attribute.find_by_key_and_value(a["key"], a["value"]).first
      if attribute.nil?
        attribute = Attribute.new(:key => a["key"], :value => a["value"])
        Attribute.create(attribute)
      end
      learning_object.attributes << attribute
    end

    LearningObject.create_relations learning_object
  end

end
